package com.platform.modules.live.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import org.hibernate.validator.constraints.NotBlank;
/**
 * 现场评论
 * 
 * @author weiyan
 * @email 
 * @date 2019-02-15 17:49:07
 */
@TableName("live_comment")
@ApiModel("现场评论表")
public class LiveCommentEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//数据ID
	@TableId
	@ApiModelProperty(value = "id")
	@NotBlank(message = "id不能为空")
	private Integer id;
	//评论来源 1
	@NotBlank(message = "评论来源不能为空")
	@ApiModelProperty(value = "评论来源  1用户 2后台 3第三方", required = true)
	private Integer source;
	//评论内容
	@NotBlank(message = "评论内容不能为空")
	@ApiModelProperty(value = "评论内容", required = true)
	private String text;
	//现场ID
	@NotBlank(message = "现场ID不能为空")
	@ApiModelProperty(value = "现场ID", required = true)
	@TableField("scene_id")
    private Integer sceneId;
	//评论人
	@ApiModelProperty(value = "评论人", hidden=true)
	private Long createId;
	// 用户头像
	@ApiModelProperty(value = "评论人头像", hidden=true)
	private String headImg;
	//评论时间
	@ApiModelProperty(value = "评论时间")
	private Date createDate;
	//是否删除 0未删除 1 删除
	@ApiModelProperty(value = "是否删除 0未删除 1 删除", hidden=true)
	private Integer isDelete;
	//是否发布 0未发布 1 已发布
	@ApiModelProperty(value = "是否发布 0未发布 1 已发布")
	private Integer isRelease;
	//发布人
	@ApiModelProperty(value = "发布人ID", hidden=true)
	private Long releaseUser;
	//发布时间
	@ApiModelProperty(value = "发布时间")
	private Date releaseDate;
	//最后操作人
	@ApiModelProperty(value = "最后操作人", hidden=true)
	private Long lastUpdateUser;
	//最后操作时间
	@ApiModelProperty(value = "最后操作时间")
	private Date lastUpdateDate;

	@ApiModelProperty(value = "评论人名")
	private String userName;
	@TableField(exist=false)
	@ApiModelProperty(value = "最后操作人")
	private String lastUpdateUserName;
	@TableField(exist=false)
	@ApiModelProperty(value = "发布人")
	private String releaseUserName;
	
	/**
	 * 设置：数据ID
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：数据ID
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：评论来源 1
	 */
	public void setSource(Integer source) {
		this.source = source;
	}
	/**
	 * 获取：评论来源 1
	 */
	public Integer getSource() {
		return source;
	}
	/**
	 * 设置：评论内容
	 */
	public void setText(String text) {
		this.text = text;
	}
	/**
	 * 获取：评论内容
	 */
	public String getText() {
		return text;
	}
	/**
	 * 设置：现场ID
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：现场ID
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：评论人
	 */
	public void setCreateId(Long createId) {
		this.createId = createId;
	}
	/**
	 * 获取：评论人
	 */
	public Long getCreateId() {
		return createId;
	}
	/**
	 * 设置：评论时间
	 */
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	/**
	 * 获取：评论时间
	 */
	public Date getCreateDate() {
		return createDate;
	}
	/**
	 * 设置：是否删除 0未删除 1 删除
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除 0未删除 1 删除
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 设置：是否发布 0未发布 1 已发布
	 */
	public void setIsRelease(Integer isRelease) {
		this.isRelease = isRelease;
	}
	/**
	 * 获取：是否发布 0未发布 1 已发布
	 */
	public Integer getIsRelease() {
		return isRelease;
	}
	/**
	 * 设置：发布人
	 */
	public void setReleaseUser(Long releaseUser) {
		this.releaseUser = releaseUser;
	}
	/**
	 * 获取：发布人
	 */
	public Long getReleaseUser() {
		return releaseUser;
	}
	/**
	 * 设置：发布时间
	 */
	public void setReleaseDate(Date releaseDate) {
		this.releaseDate = releaseDate;
	}
	/**
	 * 获取：发布时间
	 */
	public Date getReleaseDate() {
		return releaseDate;
	}
	/**
	 * 设置：最后操作人
	 */
	public void setLastUpdateUser(Long lastUpdateUser) {
		this.lastUpdateUser = lastUpdateUser;
	}
	/**
	 * 获取：最后操作人
	 */
	public Long getLastUpdateUser() {
		return lastUpdateUser;
	}
	/**
	 * 设置：最后操作时间
	 */
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}
	/**
	 * 获取：最后操作时间
	 */
	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	/**
	 * 设置：评论人
	 */
	public String getUserName() {
		return userName;
	}
	/**
	 * 获取：评论人
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}
	/**
	 * 设置：最后修改人名
	 */
	public String getLastUpdateUserName() {
		return lastUpdateUserName;
	}
	/**
	 * 获取：最后修改人名
	 */
	public void setLastUpdateUserName(String lastUpdateUserName) {
		this.lastUpdateUserName = lastUpdateUserName;
	}
	/**
	 * 设置：发布人名
	 */
	public String getReleaseUserName() {
		return releaseUserName;
	}
	/**
	 * 获取：发布人名
	 */
	public void setReleaseUserName(String releaseUserName) {
		this.releaseUserName = releaseUserName;
	}

	public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}
}
